<div fxLayout="column" fxLayoutAlign="space-between center">
  <div style="padding-top: 30px; width: 70%">

    <h1>Ingrédients</h1>

    <div fxFill fxLayoutGap="10px">
      <app-autocomplete-filter [itemControl]="ingredientControl"
                               [itemList]="allIngredients" attribute="name"
                               label="Search"></app-autocomplete-filter>

      <button (click)="addIngredient()" aria-label="Ajout ingrédient" color="primary" mat-raised-button
              matTooltip="Ajout ingrédient" type="button">
        Ajout ingrédient
      </button>
    </div>

    <mat-selection-list (ngModelChange)="onTypeSelectedChange($event)" [(ngModel)]="selectedTypes">
      <mat-list-option *ngFor="let unit of allTypes" [value]="unit"
                       style="display:inline-block; width:25%; text-align:center;">
        <mat-divider></mat-divider>
        {{unit}}
      </mat-list-option>
    </mat-selection-list>
    <br>
    <mat-selection-list (ngModelChange)="onUnitSelectedChange($event)" [(ngModel)]="selectedUnits">
      <mat-list-option *ngFor="let unit of allUnits" [value]="unit"
                       style="display:inline-block; width:25%; text-align:center;">
        <mat-divider></mat-divider>
        {{unit.name}}
      </mat-list-option>
    </mat-selection-list>

    <div fxFill fxLayoutGap="10px">
      <mat-form-field appearance="standard">
        <mat-label>Name</mat-label>
        <input [formControl]="unitControl" matInput>
      </mat-form-field>

      <button (click)="addUnit()" aria-label="Ajout unit" color="primary" mat-raised-button
              matTooltip="Ajout unit" type="button">
        Ajout unit
      </button>
    </div>
  </div>
</div>
